*pbp_step17a.sas;

libname out '.\sas_data_sets\PBP';
options pageno=1 linesize = 200 nocenter;

data pbp_step17a;
  length
  pbp_a_hnumber                    $5
  pbp_a_plan_identifier            $3
  pbp_a_ben_cov                    $1
  pbp_a_plan_type                  $2
  orgtype                          $2
  pbp_d_opt_identifier             $3
  pbp_b17a_bendesc_yn              $1
  pbp_b17a_bendesc_amo_rex         $1
  pbp_b17a_bendesc_lim             $1
  pbp_b17a_bendesc_per             $1
  pbp_b17a_maxplan_yn              $1
  pbp_b17a_maxplan_per             $1
  pbp_b17a_maxplan_cov             $1
  pbp_b17a_bendesc_enh             $1
  pbp_b17a_maxenr_yn               $1
  pbp_b17a_maxenr_per              $1
  pbp_b17a_coins_yn                $1
  pbp_b17a_coins_cov_mc            $1
  pbp_b17a_coins_rexcov            $1
  pbp_b17a_ded_yn                  $1
  pbp_b17a_copay_yn                $1
  pbp_b17a_auth                    $5
  pbp_b17a_refer_yn                $1
;

infile '.\pbp\pbp_step17a.txt' delimiter = '09'x
dsd lrecl = 30000 firstobs=2 missover;


input
  pbp_a_hnumber
  pbp_a_plan_identifier
  pbp_a_ben_cov
  pbp_a_plan_type
  orgtype
  pbp_b17a_bendesc_yn
  pbp_b17a_bendesc_enh
  pbp_b17a_bendesc_amo_rex
  pbp_b17a_bendesc_lim
  pbp_b17a_bendesc_numv
  pbp_b17a_bendesc_per
  pbp_b17a_maxplan_yn
  pbp_b17a_maxplan_amt
  pbp_b17a_maxplan_per
  pbp_b17a_maxplan_cov
  pbp_b17a_maxenr_yn
  pbp_b17a_maxenr_amt
  pbp_b17a_maxenr_per
  pbp_b17a_coins_yn
  pbp_b17a_coins_mcmin_pct
  pbp_b17a_coins_mcmax_pct
  pbp_b17a_coins_cov_mc
  pbp_b17a_coins_rexmin_pct
  pbp_b17a_coins_rexmax_pct
  pbp_b17a_coins_rexcov
  pbp_b17a_ded_yn
  pbp_b17a_ded_amt
  pbp_b17a_copay_yn
  pbp_b17a_copay_mcmin_amt
  pbp_b17a_copay_mcmax_amt
  pbp_b17a_copay_rexmin_amt
  pbp_b17a_copay_rexmax_amt
  pbp_b17a_auth
  pbp_b17a_refer_yn
  pbp_d_opt_identifier
;

label
  orgtype                          = 'Organization Type              '
  pbp_a_ben_cov                    = 'Coverage Criteria              '
  pbp_a_hnumber                    = 'H Number                       '
  pbp_a_plan_identifier            = 'Plan Identifier                '
  pbp_a_plan_type                  = 'Select type of Plan            '
  pbp_d_opt_identifier             = 'Option D Identifier            '
  pbp_b17a_bendesc_yn              = 'Eye Exams Ben Desc YN          '
  pbp_b17a_bendesc_enh             = 'Eye Exams Ben Desc Enhance     '
  pbp_b17a_bendesc_amo_rex         = 'Eye Exams REX Ben Desc AMO     '
  pbp_b17a_bendesc_lim             = 'Eye Exams REX Ben Desc Lim YN  '
  pbp_b17a_bendesc_numv            = 'Eye Exams REX Ben Desc Num     '
  pbp_b17a_bendesc_per             = 'Eye Exams REX Ben Desc Per     '
  pbp_b17a_maxplan_yn              = 'Eye Exams Max Plan YN          '
  pbp_b17a_maxplan_amt             = 'Eye Exams Max Plan Amt         '
  pbp_b17a_maxplan_per             = 'Eye Exams Max Plan Per         '
  pbp_b17a_maxplan_cov             = 'Eye Exams Max Plan Cov         '
  pbp_b17a_maxenr_yn               = 'Eye Exams Max Enr YN           '
  pbp_b17a_maxenr_amt              = 'Eye Exams Max Enr Amt          '
  pbp_b17a_maxenr_per              = 'Eye Exams Max Enr Per          '
  pbp_b17a_coins_yn                = 'Eye Exams Coinsurance YN       '
  pbp_b17a_coins_mcmin_pct         = 'Eye Exams MC Min Coins Pct     '
  pbp_b17a_coins_mcmax_pct         = 'Eye Exams MC Max Coins Pct     '
  pbp_b17a_coins_cov_mc            = 'Eye Exams MC Coins Cov         '
  pbp_b17a_coins_rexmin_pct        = 'Eye Exams REX Min Coins Pct    '
  pbp_b17a_coins_rexmax_pct        = 'Eye Exams REX Max Coins Pct    '
  pbp_b17a_coins_rexcov            = 'Eye Exams REX Coins Cov        '
  pbp_b17a_ded_yn                  = 'Eye Exams Deductible YN        '
  pbp_b17a_ded_amt                 = 'Eye Exams Deductible Amt       '
  pbp_b17a_copay_yn                = 'Eye Exams Copayment YN         '
  pbp_b17a_copay_mcmin_amt         = 'Eye Exams MC Min Copay Amt     '
  pbp_b17a_copay_mcmax_amt         = 'Eye Exams MC Max Copay Amt     '
  pbp_b17a_copay_rexmin_amt        = 'Eye Exams REX Min Copay Amt    '
  pbp_b17a_copay_rexmax_amt        = 'Eye Exams REX Max Copay Amt    '
  pbp_b17a_auth                    = 'Eye Exams Auth                 '
  pbp_b17a_refer_yn                = 'Eye Exams Referral YN          '
;
  run;

proc sort data = pbp_step17a out = out.pbp_step17a;
   by pbp_a_hnumber pbp_a_plan_identifier;
run;

proc print data = out.pbp_step17a(obs = 10);
  title 'pbp step17a data';
run;

proc means data =  out.pbp_step17a;
  title 'pbp step17a file';
run;

proc freq data = out.pbp_step17a;
  table
  pbp_a_ben_cov pbp_a_plan_type orgtype pbp_d_opt_identifier
  pbp_b17a_bendesc_yn
  pbp_b17a_bendesc_amo_rex
  pbp_b17a_bendesc_enh
  pbp_b17a_bendesc_lim
  pbp_b17a_bendesc_per
  pbp_b17a_maxplan_yn
  pbp_b17a_maxplan_per
  pbp_b17a_maxplan_cov
  pbp_b17a_maxenr_yn
  pbp_b17a_maxenr_per
  pbp_b17a_coins_yn
  pbp_b17a_coins_cov_mc
  pbp_b17a_coins_rexcov
  pbp_b17a_ded_yn
  pbp_b17a_copay_yn
  pbp_b17a_auth
  pbp_b17a_refer_yn / missing;
run;

proc contents data = out.pbp_step17a;
  title 'pbp step17a data';
run;
